Docs Get Metadata

View as MarkdownOpen in Claude
Returns metadata for a Paper doc or Cloud Doc. **Required scope:** `files.metadata.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication) This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects a nullable object.
doc_idstring or nullOptional
Legacy Paper doc identifier.
file_idstring or nullOptionalformat: "id:.+">=4 characters

Dropbox file ID for Cloud Docs (post-PiFS migration).

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
created_datedatetime
The Paper doc creation date.
doc_idstring
The Paper doc ID.
last_editorstring
The email address of the last editor of the Paper doc.
last_updated_datedatetime
The date when the Paper doc was last edited.
ownerstring
The Paper doc owner's email address.
revisionlong
The Paper doc revision. Simply an ever increasing number.
statusobject
The Paper doc status.
titlestring
The Paper doc title.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error